Skip to content

Get portal permissions

Request

Determines the permissions available in the portal for a portal user.

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

chapterIdstringrequired

The chapter id

contactIdstringrequired

The contact id

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/chapters/{tenantId}/portalPermissions/{chapterId}/{contactId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The records were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
access_saved_queriesboolean(Access Saved Queries)

If set, the applicable chapter leaders are able to access saved queries

chapter_page_layout_idstring(Chapter Page Layout)
contact_form_idstring(Contact Form)
manage_chapter_committeesboolean(Manage Chapter Committees)

If set, leaders can manage/change chapter committee positions

membership_page_layout_idstring(Membership Page Layout)
permissionsArray of strings(Permissions)

A list of permissions by name

renew_existing_membersboolean(Renew Existing Members)

If set, leaders can renew existing members

saved_queriesArray of objects
sign_up_new_membersboolean(Sign Up New Members)

Applicable chapter leaders can register/create new members

update_chapter_infoboolean(Update Chapter Info)

If true, chapter leader is able to modify chapter information

update_contact_infoboolean(Update Contact Info)

Applicable chapter leaders should be able to update contact information. If set, a contact_form_id must be specified

update_membership_infoboolean(Update Membership Info)

Applicable chapter leaders can update membership profile information. If set, a membership_page_layout_id must be specified

view_chapter_rosterboolean(View Chapter Roster)

If set, the applicable chapter leaders can see the committee roster and view membership information

Response
{ "access_saved_queries": true, "chapter_page_layout_id": "string", "contact_form_id": "string", "manage_chapter_committees": true, "membership_page_layout_id": "string", "permissions": [ "string" ], "renew_existing_members": true, "saved_queries": [ { … } ], "sign_up_new_members": true, "update_chapter_info": true, "update_contact_info": true, "update_membership_info": true, "view_chapter_roster": true }